Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoInterpolate Class Reference
[Engine classes]

`#include <Inventor/engines/SoInterpolate.h>`

Inheritance diagram for SoInterpolate:

List of all members.

## Detailed Description

The SoInterpolate class is the base class for all interpolator engines.

Interpolators are used to linearly interpolate between two values.

In Coin, we've chosen to implement all interpolators in separate files. If you want to be OIV compatible when programming, you should include the SoInterpolate.h, and not the interpolator file(s) you need.

## Static Public Member Functions
void | initClass (void)
void | initClasses (void)
## Public Attributes
SoSFFloat | alpha
SoEngineOutput | output
## Protected Member Functions
| SoInterpolate ()
virtual | ~SoInterpolate ()

## Constructor & Destructor Documentation

SoInterpolate::SoInterpolate | ( | void |  | ) | `[protected]`

| Default constructor.

SoInterpolate::~SoInterpolate | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoInterpolate::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoEngine.

void SoInterpolate::initClasses | ( | void |  | ) | `[static]`

| This method is provided only for API compatibility, and does nothing in Coin. Reimplemented from SoEngine.

## Member Data Documentation

SoSFFloat SoInterpolate::alpha

| The value which says how much we've should interpolate from first value to second value. A value equal to 0 will give an output equal to the first value, alpha equal to 1 gives the second value, any value in between gives a "weighted" interpolation between the two values.

SoEngineOutput SoInterpolate::output

| Interpolated values from the input fields. The type of the output will of course be the same as the type of the input fields of each non-abstract subclass inheriting SoInterpolate.

The documentation for this class was generated from the following files:

- SoInterpolate.h
- SoInterpolate.cpp